Skip to main content
POST
/
liquidity
/
v2
/
chain
/
{dstChain}
/
protocol
/
{protocol}
/
signature
curl --request POST \
  --url 'https://api.sprinter.tech/liquidity/v2/chain/{dstChain}/protocol/{protocol}/signature' \
  --header 'X-Auth-Token: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "borrowAmount": "<string>",
    "borrowCost": "<string>",
    "borrowToken": "<string>",
    "liquidityPool": "<string>",
    "nonce": "<string>",
    "signature": "<string>",
    "deadline": "<string>"
  }
}
curl --request POST \
  --url 'https://api.sprinter.tech/liquidity/v2/chain/{dstChain}/protocol/{protocol}/signature' \
  --header 'X-Auth-Token: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{}'

Authorizations

X-Auth-Token
string
header
required

Path Parameters

protocol
string
required

Name of the protocol, e.g., Across, Lighter

dstChain
string
required

Destination chain Caip id, eg. eip155:8453

Body

application/json

request

caller
string
required

eoa wallet address which will be used to call the liquidity pool contract

input
string
required

hex encoded input data which will be executed on the liquidity pool contract with borrowed liquidity

quoteId
string
required

quote ID obtained from the borrow quote endpoint

txHash
string
required

tx hash of the deposit transaction which will be used to verify liquidity repayment guarantee

metadata
integer[]

protocol-specific metadata as JSON object. For lifi-escrow: {"srcChain": "eip155:1"} where srcChain is the source chain CAIP ID used for on-chain order fetching fallback

Response

This response is sent as a stringified json in SSE event with the event name 'data'

data
object
required

Borrow authorisation signature and details.